Countries
List company countries
List all countries configured for the company
GET
/
api
/
settings
/
company_countries
List company countries
curl --request GET \
--url https://api.fluid.app/api/settings/company_countries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/settings/company_countries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/settings/company_countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_countries": [
{
"id": 48213,
"currency": "USD",
"base_shipping": "7.95",
"default": true,
"pause_incomplete_enrollment": false,
"handling_fee": 2.5,
"updated_at": "2026-09-08T14:22:51Z",
"settlement_currency": "USD",
"entity_legally_registered": true,
"tax_inclusive_pricing": null,
"tax_name": null,
"payment_method_priority": null,
"country_defaults": {
"tax_inclusive": false,
"tax_name": null
},
"country": {
"id": 214,
"name": "United States",
"iso": "US",
"tax_enabled": true,
"price_inclusive_of_tax": false,
"price_inclusive_tax_name": null,
"iso_name": "UNITED STATES",
"iso3": "USA",
"currency_code": "USD",
"currency_symbol": "$",
"province_required": true,
"tax_standard_rate": null
},
"entity": null,
"test_mode": false,
"test_mode_resolvable": null,
"revision": "9b2e41c07d5f8a3e6b1c4d2f0a8e7b5c3d1f9e2a4b6c8d0e1f3a5b7c9d2e4f6a",
"checkout_requires_terms": null,
"tax_invoice_required": null,
"legal_settings": null,
"address_fields": null,
"require_gaiyo_shomen_in_enrollment": false,
"tax_apply": false,
"tax_business_id": null,
"tax_apply_discounted_rates": false,
"tax_auto_send_invoice": false,
"apply_shipping_tax": true,
"avalara_shipping_tax_code": "FR020100",
"customs": null,
"use_company_default_tax_settings": true,
"use_company_avalara_tax_settings": false,
"use_company_manual_tax_settings": false,
"use_company_webhook_tax_settings": false,
"use_custom_avalara_tax_settings": false,
"custom_avalara_user_name": null,
"custom_avalara_password": null,
"use_custom_avalara_product_tax_code": false,
"tax_option": "avalara",
"tax_strategy": "avalara",
"tax_class": "fluid",
"effective_tax_class": "fluid",
"avalara_commit_enabled": false,
"tax_callback_registration_id": null,
"tax_callback_registration": null,
"warehouse": {
"id": 3120,
"name": "Scranton Warehouse",
"active": true,
"external_id": "SCR-01",
"metadata": {
"dock": "B"
},
"address": {
"id": 90417,
"name": "Scranton Warehouse",
"address1": "1725 Slough Avenue",
"address2": null,
"address3": null,
"city": "Scranton",
"state": "PA",
"subdivision_code": "US-PA",
"postal_code": "18505",
"country_code": "US",
"default": true,
"first_name": "Darryl",
"last_name": "Philbin"
}
},
"company": {
"id": 1405,
"name": "Dunder Mifflin Paper Company"
},
"requires_3ds": false
},
{
"id": 48214,
"currency": "CAD",
"base_shipping": "7.95",
"default": false,
"pause_incomplete_enrollment": false,
"handling_fee": 4,
"updated_at": "2026-09-11T09:05:17Z",
"settlement_currency": "USD",
"entity_legally_registered": true,
"tax_inclusive_pricing": null,
"tax_name": null,
"payment_method_priority": null,
"country_defaults": {
"tax_inclusive": false,
"tax_name": null
},
"country": {
"id": 38,
"name": "Canada",
"iso": "CA",
"tax_enabled": true,
"price_inclusive_of_tax": false,
"price_inclusive_tax_name": null,
"iso_name": "CANADA",
"iso3": "CAN",
"currency_code": "CAD",
"currency_symbol": "$",
"province_required": true,
"tax_standard_rate": null
},
"entity": null,
"test_mode": false,
"test_mode_resolvable": null,
"revision": "3f7a1c9e5b2d8f4a6c0e2b4d6f8a1c3e5b7d9f0a2c4e6b8d1f3a5c7e9b0d2f4a",
"checkout_requires_terms": null,
"tax_invoice_required": null,
"legal_settings": null,
"address_fields": null,
"require_gaiyo_shomen_in_enrollment": false,
"tax_apply": false,
"tax_business_id": null,
"tax_apply_discounted_rates": false,
"tax_auto_send_invoice": false,
"apply_shipping_tax": true,
"avalara_shipping_tax_code": "FR020100",
"customs": null,
"use_company_default_tax_settings": true,
"use_company_avalara_tax_settings": false,
"use_company_manual_tax_settings": false,
"use_company_webhook_tax_settings": false,
"use_custom_avalara_tax_settings": false,
"custom_avalara_user_name": null,
"custom_avalara_password": null,
"use_custom_avalara_product_tax_code": false,
"tax_option": "avalara",
"tax_strategy": "avalara",
"tax_class": "fluid",
"effective_tax_class": "fluid",
"avalara_commit_enabled": false,
"tax_callback_registration_id": null,
"tax_callback_registration": null,
"warehouse": {
"id": 3120,
"name": "Scranton Warehouse",
"active": true,
"external_id": "SCR-01",
"metadata": {
"dock": "B"
},
"address": {
"id": 90417,
"name": "Scranton Warehouse",
"address1": "1725 Slough Avenue",
"address2": null,
"address3": null,
"city": "Scranton",
"state": "PA",
"subdivision_code": "US-PA",
"postal_code": "18505",
"country_code": "US",
"default": true,
"first_name": "Darryl",
"last_name": "Philbin"
}
},
"company": {
"id": 1405,
"name": "Dunder Mifflin Paper Company"
},
"requires_3ds": false
}
],
"meta": {
"request_id": "c4f1b9e2-7a3d-4e8b-9f21-5d6a0b3e8c47",
"timestamp": "2026-09-14T15:32:08Z"
}
}{
"message": "<string>"
}⌘I
List company countries
